<div *ngIf="consentDeclaration" class="groups">
  <nz-card *ngFor="let consentGroup of consentDeclaration.groups; index as idx" [nzTitle]="!consentGroup.isDefault ? consentGroup.label : ''" [nzExtra]="titleToggle">
    <ng-template #titleToggle>
      <nz-switch
        [nzDisabled]="preview"
        (click)="$event.stopPropagation()"
        (ngModelChange)="toggleGroup(consentGroup, $event)"
        [ngModel]="isGroupActive(consentGroup)"></nz-switch>
    </ng-template>

    <div [ngClass]="{ inactive: !consentGroup.isDefault && !isGroupActive(consentGroup) }">
      <p>{{ consentGroup.description }}</p>
    </div>

    <nz-collapse
      [ngClass]="{ inactive: !consentGroup.isDefault && isGroupActive(consentGroup) }" *ngIf="consentGroup.showVerbDetails">
      <nz-collapse-panel [nzActive]="consentGroup.isDefault" nzHeader="Details">

        <nz-collapse>
          <nz-collapse-panel *ngFor="let verb of consentGroup.verbs | orderBy:'label'; index as fieldIdx" [nzHeader]="headerTemplate">
            <ng-template #headerTemplate>
              <div class="setting">
                <nz-switch
                  nz-tooltip
                  nzTooltipTitle="Previous setting"
                  *ngIf="userConsentVerbsLookUp[verb.id] !== undefined"
                  (click)="$event.stopPropagation()"
                  [ngModel]="userConsentVerbsLookUp[verb.id]"
                  i18n-nzTooltipTitle="Previous setting @@previousSetting"
                  nzDisabled="true"></nz-switch>
                <fa-icon *ngIf="userConsentVerbsLookUp[verb.id] !== undefined" [icon]="faArrowRight"></fa-icon>
                <nz-switch
                  [nzControl]="true"
                  (click)="$event.stopPropagation();toggleVerb(verb.id)"
                  [(ngModel)]="verb.consented"
                  [nzDisabled]="preview || !consentGroup.isDefault"></nz-switch>
                <div>{{ verb.label }}</div>
                <fa-icon class="hint-icon" [icon]="faInfo"></fa-icon>
                <fa-icon
                  class="delete-icon"
                  *ngIf="deletable"
                  (click)="openDeleteVerbDataDialog($event, verb.id)"
                  [icon]="faTrash"
                ></fa-icon>
              </div>
            </ng-template>

            {{ verb.description }}


            <nz-list [nzHeader]="verb.objects.length > 0 ? 'Objekte' : undefined">
              <nz-list-item *ngFor="let object of verb.objects" nz-tooltip nzTooltipTitle="{{ object.definition | json }}">
                <div class="setting">
                  <nz-switch
                    [nzControl]="true"
                    (click)="$event.stopPropagation();toggleObjectConsent(verb.id, object.id)"
                    [ngModel]="object.consented"
                    [nzDisabled]="preview || !consentGroup.isDefault"></nz-switch>
                  <nz-switch
                    nz-tooltip
                    nzTooltipTitle="previous setting"
                    *ngIf="userConsentObjectLookUp[object.id] !== undefined"
                    (click)="$event.stopPropagation()"
                    [ngModel]="userConsentObjectLookUp[object.id]"
                    i18n-nzTooltipTitle="Previous setting @@previousSetting"
                    nzDisabled="true"></nz-switch>
                  <div>{{ object.label }}</div>
                  <fa-icon
                    class="delete-icon"
                    *ngIf="deletable"
                    (click)="openDeleteObjectDataDialog($event,verb.id,object.id)"
                    [icon]="faTrash"
                  ></fa-icon>
                </div>
              </nz-list-item>
            </nz-list>
          </nz-collapse-panel>
        </nz-collapse>
      </nz-collapse-panel>
    </nz-collapse>

  </nz-card>
</div>
